package com.yc.ship.module.otc.enums;


import com.yc.ship.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    ErrorCode STORE_NOT_EXISTS = new ErrorCode(10_001, "旅行社门店不存在");
    ErrorCode STORE_MACHINE_NOT_EXISTS = new ErrorCode(10_002, "关联设备不存在");
    ErrorCode STORE_MACHINE_CODE_EXISTS = new ErrorCode(10_002_001, "设备编码已存在");
    ErrorCode STORE_USER_NOT_EXISTS = new ErrorCode(10_003, "门店账号关联不存在");
    ErrorCode STORE_PRODUCT_NOT_EXISTS = new ErrorCode(10_004, "门店设备产品关联不存在");

    ErrorCode STORE_MACHINE_PRODUCT_NOT_EXISTS = new ErrorCode(10_005, "门店设备关联不存在");

    ErrorCode COOPERATE_NOT_EXISTS = new ErrorCode(10_006, "合作旅行社不存在");

    ErrorCode STORE_SCHEDULING_NOT_EXISTS = new ErrorCode(10_007, "班次不存在");

    ErrorCode STORE_SCHEDULING_TIME_EXISTS = new ErrorCode(10_007_001, "不能包含已经选过的时间段");

    ErrorCode STORE_SCHEDULING_USER_NOT_EXISTS = new ErrorCode(10_008, "班次售票员不存在");

    ErrorCode PRINT_NOT_EXISTS = new ErrorCode(10_009, "打印模板不存在");
    ErrorCode AGENCY_LOGIN_LOG_EXCEPTION = new ErrorCode(10_010, "旅行社登录日志获取异常");

    ErrorCode STORE_USER_EXISTS = new ErrorCode(10_011, "存在账号已绑定门店");


    ErrorCode NOT_ASSOCIATED_DISTRIBUTOR = new ErrorCode(10_012, "当前账号未关联旅行社");

    ErrorCode STORE_CARD_NOT_EXISTS = new ErrorCode(10_013, "门店资金卡不存在");

    ErrorCode STORE_CREDIT_LOG_NOT_EXISTS = new ErrorCode(10_014, "旅行社门店授信额度变更不存在");

    ErrorCode STORE_TRADE_LOG_NOT_EXISTS = new ErrorCode(10_015, "旅行社门店交易记录不存在");

    ErrorCode STORE_AUDIT_NOT_EXISTS = new ErrorCode(10_016, "旅行社门店授信提额/授信充值/余额充值不存在");
    ErrorCode OVERDUE_BILL_EXISTS = new ErrorCode(10_017, "旅行社存在逾期账单");
    ErrorCode STORE_DISABLED_BALANCE = new ErrorCode(10_018, "该门店未启用预付款");
    ErrorCode STORE_DISABLED_CREDIT = new ErrorCode(10_019, "该门店未启用授信");


    ErrorCode STORE_REQUEST_FAIL = new ErrorCode(20_001, "门店资金卡请求失败");
    ErrorCode STORE_REQUEST_TIMEOUT = new ErrorCode(20_002, "门店资金卡请求超时");

    ErrorCode STORE_REQUEST_BALANCE = new ErrorCode(20_003, "门店余额不足");
    ErrorCode STORE_REQUEST_SURPLUS = new ErrorCode(20_004, "门店授信额度不足");

    ErrorCode STORE_REQUEST_CREDIT = new ErrorCode(20_005, "门店授信额度异常");

    ErrorCode STORE_REQUEST_ERROR = new ErrorCode(20_006, "无效的类型");

    ErrorCode STORE_REQUEST_PAY_ERROR = new ErrorCode(20_007, "门店余额和授信额度不足");

    ErrorCode STORE_REQUEST_EXCEPTION_ERROR = new ErrorCode(20_008, "门店支付异常");

    ErrorCode STORE_REQUEST_NOT_ENABLE = new ErrorCode(20_009, "未启用授信");

    ErrorCode STORE_REQUEST_ORDER_NOT_EXIST = new ErrorCode(20_010, "订单未支付");

    ErrorCode STORE_REQUEST_AMOUNT_EXCEED = new ErrorCode(20_011, "退款总金额超过支付金额，不能退款");

    ErrorCode STORE_REQUEST_PLAT_SURPLUS = new ErrorCode(20_012, "门店平台授信额度不足");

    ErrorCode STORE_REQUEST_ORDER_TRADE_LOG_EXCEPTION = new ErrorCode(20_013, "订单交易记录异常");

    ErrorCode LINK_NOT_EXISTS = new ErrorCode(30_001, "链接不存在");

    ErrorCode LINK_DETAIL_NOT_EXISTS = new ErrorCode(30_002, "链接扩展明细不存在");

    ErrorCode LEVEL_NOT_EXISTS = new ErrorCode(30_003, "旅行社等级管理不存在");
}
